
Redmine - Defect #23494

cannot search with keywords?

2016-08-02 10:08 - Steven Wong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.0

Description

input keyword test123 and search occurred 500 error?

log

Started GET "/projects/demo/search?utf8=%E2%9C%93&q=test123" for 192.168.60.238 at 2016-08-02 16:0

6:11 +0800

Processing by SearchController#index as HTML

  Parameters: {"utf8"=>"✓", "q"=>"test123", "id"=>"demo"}

  Current user: admin (id=1)

Completed 500 Internal Server Error in 58ms (ActiveRecord: 15.1ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_request.text.erb (0.3ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_title.text.erb (0.1ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_session.text.erb (0.7ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_title.text.erb (0.1ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_environment.text.erb (2.0ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_title.text.erb (0.1ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_backtrace.text.erb (0.1ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/_title.text.erb (0.1ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exceptio

n_notifier/views/exception_notifier/exception_notification.text.erb (11.3ms)

NoMethodError (undefined method `where' for #<Hash:0x007fbd6427b6d0>):

  lib/plugins/acts_as_searchable/lib/acts_as_searchable.rb:197:in `search_scope'

  lib/plugins/acts_as_searchable/lib/acts_as_searchable.rb:92:in `search_result_ranks_and_ids'

  lib/redmine/search.rb:127:in `block in load_result_ids'

  lib/redmine/search.rb:125:in `each'

  lib/redmine/search.rb:125:in `load_result_ids'

  lib/redmine/search.rb:115:in `block in load_result_ids_from_cache'

  lib/redmine/search.rb:114:in `load_result_ids_from_cache'

  lib/redmine/search.rb:99:in `result_ids'

  lib/redmine/search.rb:70:in `result_count'

  app/controllers/search_controller.rb:75:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-08-02 10:13 - Steven Wong

Environment:

Redmine version                3.3.0.stable.15732

Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux]

Rails version                  4.2.6

Environment                    production
Database adapter               Mysql2

#2 - 2016-08-02 10:30 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #23195.
